<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: PPERadialBlur Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d1d/class_p_p_e_radial_blur.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">PPERadialBlur Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>RadialBlur - PostProcessEffectType.RadialBlur.  
 <a href="../../de/d1d/class_p_p_e_radial_blur.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for PPERadialBlur:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/d1d/class_p_p_e_radial_blur.png" usemap="#PPERadialBlur_map" alt=""/>
  <map id="PPERadialBlur_map" name="PPERadialBlur_map">
<area href="../../d3/ddf/class_p_p_e_class_base.html" title="Created once, on manager init. Script-side representation of C++ material class, separate handling." alt="PPEClassBase" shape="rect" coords="0,0,95,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a3aebd2d9e29ceb35eb702f429271d1cb"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1d/class_p_p_e_radial_blur.html#a3aebd2d9e29ceb35eb702f429271d1cb">GetPostProcessEffectID</a> ()</td></tr>
<tr class="separator:a3aebd2d9e29ceb35eb702f429271d1cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f80a17e6f5ca106cdcd8e89b43d57f0"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1d/class_p_p_e_radial_blur.html#a6f80a17e6f5ca106cdcd8e89b43d57f0">GetDefaultMaterialPath</a> ()</td></tr>
<tr class="separator:a6f80a17e6f5ca106cdcd8e89b43d57f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95418f08a839932c8fe8a067763ba948"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1d/class_p_p_e_radial_blur.html#a95418f08a839932c8fe8a067763ba948">RegisterMaterialParameters</a> ()</td></tr>
<tr class="separator:a95418f08a839932c8fe8a067763ba948"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:af020259f6551306b67c9c77b6ad12475"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1d/class_p_p_e_radial_blur.html#af020259f6551306b67c9c77b6ad12475">PARAM_POWERX</a> = 0</td></tr>
<tr class="separator:af020259f6551306b67c9c77b6ad12475"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2e466dd3bb3767ce27de79e526c1bdf"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1d/class_p_p_e_radial_blur.html#aa2e466dd3bb3767ce27de79e526c1bdf">PARAM_POWERY</a> = 1</td></tr>
<tr class="separator:aa2e466dd3bb3767ce27de79e526c1bdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5d2b324c2f5fa1c511dc3bfd50ac228"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1d/class_p_p_e_radial_blur.html#aa5d2b324c2f5fa1c511dc3bfd50ac228">PARAM_OFFSETX</a> = 2</td></tr>
<tr class="separator:aa5d2b324c2f5fa1c511dc3bfd50ac228"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a356cb12500cb55a1fb2e5a43a5cd7739"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1d/class_p_p_e_radial_blur.html#a356cb12500cb55a1fb2e5a43a5cd7739">PARAM_OFFSETY</a> = 3</td></tr>
<tr class="separator:a356cb12500cb55a1fb2e5a43a5cd7739"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09a22e19751280468353c345098816de"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1d/class_p_p_e_radial_blur.html#a09a22e19751280468353c345098816de">PARAM_PIXELSCALE</a> = 4</td></tr>
<tr class="separator:a09a22e19751280468353c345098816de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9c772cd8e288c059e5a8cc9d48dd5d8"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d1d/class_p_p_e_radial_blur.html#af9c772cd8e288c059e5a8cc9d48dd5d8">L_0_PAIN_BLUR</a> = 100</td></tr>
<tr class="separator:af9c772cd8e288c059e5a8cc9d48dd5d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >RadialBlur - PostProcessEffectType.RadialBlur. </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00002">2</a> of file <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html">PPERadialBlur.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a6f80a17e6f5ca106cdcd8e89b43d57f0" name="a6f80a17e6f5ca106cdcd8e89b43d57f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f80a17e6f5ca106cdcd8e89b43d57f0">&#9670;&#160;</a></span>GetDefaultMaterialPath()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> PPERadialBlur::GetDefaultMaterialPath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00019">19</a> of file <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html">PPERadialBlur.c</a>.</p>

</div>
</div>
<a id="a3aebd2d9e29ceb35eb702f429271d1cb" name="a3aebd2d9e29ceb35eb702f429271d1cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3aebd2d9e29ceb35eb702f429271d1cb">&#9670;&#160;</a></span>GetPostProcessEffectID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PPERadialBlur::GetPostProcessEffectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00014">14</a> of file <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html">PPERadialBlur.c</a>.</p>

</div>
</div>
<a id="a95418f08a839932c8fe8a067763ba948" name="a95418f08a839932c8fe8a067763ba948"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95418f08a839932c8fe8a067763ba948">&#9670;&#160;</a></span>RegisterMaterialParameters()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void PPERadialBlur::RegisterMaterialParameters </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00024">24</a> of file <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html">PPERadialBlur.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="af9c772cd8e288c059e5a8cc9d48dd5d8" name="af9c772cd8e288c059e5a8cc9d48dd5d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9c772cd8e288c059e5a8cc9d48dd5d8">&#9670;&#160;</a></span>L_0_PAIN_BLUR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PPERadialBlur::L_0_PAIN_BLUR = 100</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00011">11</a> of file <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html">PPERadialBlur.c</a>.</p>

</div>
</div>
<a id="aa5d2b324c2f5fa1c511dc3bfd50ac228" name="aa5d2b324c2f5fa1c511dc3bfd50ac228"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5d2b324c2f5fa1c511dc3bfd50ac228">&#9670;&#160;</a></span>PARAM_OFFSETX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PPERadialBlur::PARAM_OFFSETX = 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00006">6</a> of file <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html">PPERadialBlur.c</a>.</p>

</div>
</div>
<a id="a356cb12500cb55a1fb2e5a43a5cd7739" name="a356cb12500cb55a1fb2e5a43a5cd7739"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a356cb12500cb55a1fb2e5a43a5cd7739">&#9670;&#160;</a></span>PARAM_OFFSETY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PPERadialBlur::PARAM_OFFSETY = 3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00007">7</a> of file <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html">PPERadialBlur.c</a>.</p>

</div>
</div>
<a id="a09a22e19751280468353c345098816de" name="a09a22e19751280468353c345098816de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09a22e19751280468353c345098816de">&#9670;&#160;</a></span>PARAM_PIXELSCALE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PPERadialBlur::PARAM_PIXELSCALE = 4</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00008">8</a> of file <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html">PPERadialBlur.c</a>.</p>

</div>
</div>
<a id="af020259f6551306b67c9c77b6ad12475" name="af020259f6551306b67c9c77b6ad12475"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af020259f6551306b67c9c77b6ad12475">&#9670;&#160;</a></span>PARAM_POWERX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PPERadialBlur::PARAM_POWERX = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00004">4</a> of file <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html">PPERadialBlur.c</a>.</p>

</div>
</div>
<a id="aa2e466dd3bb3767ce27de79e526c1bdf" name="aa2e466dd3bb3767ce27de79e526c1bdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2e466dd3bb3767ce27de79e526c1bdf">&#9670;&#160;</a></span>PARAM_POWERY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> PPERadialBlur::PARAM_POWERY = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html#l00005">5</a> of file <a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html">PPERadialBlur.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/PPEManager/Materials/MatClasses/<a class="el" href="../../d3/d7e/_p_p_e_radial_blur_8c_source.html">PPERadialBlur.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/d1d/class_p_p_e_radial_blur.html">PPERadialBlur</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
